<template>
  <img class="icon" :src="svg" :alt="name" />
</template>

<script>
import bold from '@/assets/images/icons/bold.svg';
import italic from '@/assets/images/icons/italic.svg';
import strike from '@/assets/images/icons/strike.svg';
import ol from '@/assets/images/icons/ol.svg';
import ul from '@/assets/images/icons/ul.svg';
import quote from '@/assets/images/icons/quote.svg';
import underline from '@/assets/images/icons/underline.svg';
import link from '@/assets/images/icons/link.svg';
import hr from '@/assets/images/icons/hr.svg';

export default {
    props: {
        /** editor menu icon name */
        name: {
            type: String,
            required: true,
        },
    },
    data() {
        return {
            svg: '',
        };
    },
    created() {
        this.setSvgByName();
    },
    methods: {
        setSvgByName() {
            switch (this.name) {
            case 'bold':
                this.svg = bold;
                break;
            case 'italic':
                this.svg = italic;
                break;
            case 'strike':
                this.svg = strike;
                break;
            case 'ol':
                this.svg = ol;
                break;
            case 'ul':
                this.svg = ul;
                break;
            case 'quote':
                this.svg = quote;
                break;
            case 'underline':
                this.svg = underline;
                break;
            case 'hr':
                this.svg = hr;
                break;
            case 'link':
                this.svg = link;
                break;
            default:
                break;
            }
        },
    },
};
</script>

<style lang="stylus" scoped>
.icon
    position: relative
    display: inline-block
    vertical-align: middle
    width: 1rem
    height: 1rem
    margin: 0 .3rem
    top: -.05rem

.icon:first-child
    margin-left: 0

.icon:last-child
    margin-right: 0
</style>
